const
	maxn = 100;

var
	i, n: longint;
	rx, ry, vang, tx, ty, dx, dy: extended;
	x, y: array [1..maxn] of extended;

begin
	randseed := 927340;

	rx := 400;
	ry := 30;
	n := 17;

	for i := 1 to n do begin
		x[i] := rx * cos(2 * pi * i / n);
		y[i] := ry * sin(2 * pi * i / n);
	end;

	vang := -pi/4 + random * 0.1;
	for i := 1 to n do begin
		tx := x[i] * cos(vang) - y[i] * sin(vang);
		ty := x[i] * sin(vang) + y[i] * cos(vang);
		x[i] := tx;
		y[i] := ty;
	end;

	dx := 500;
	dy := 400;

	for i := 1 to n do begin
		x[i] := x[i] + dx;
		y[i] := y[i] + dy;
	end;

	vang := 0;
	for i := 1 to n do begin
		tx := x[i] * cos(vang) - y[i] * sin(vang);
		ty := x[i] * sin(vang) + y[i] * cos(vang);
		x[i] := tx;
		y[i] := ty;
	end;

	writeln(n);
	for i := 1 to n do begin
		writeln(x[i] :0 :12, ' ', y[i] :0 :12);
	end;
end.